/* ==================================
PRAYER PAGE DESIGN
================================== */


.prayer-hero{

height:70vh;

background:

linear-gradient(
rgba(0,0,0,.7),
rgba(0,0,0,.8)
),

url("../images/prayer.jpg");

background-size:cover;

display:flex;

align-items:center;

justify-content:center;

text-align:center;

}



.prayer-content h1{

font-size:65px;

color:#FFD700;

}



.request-section,
.praise,
.intercession{

padding:90px 0;

text-align:center;

background:#050B18;

}



.request-section form{

max-width:600px;

margin:40px auto;

}



.request-section input,
.request-section textarea{

width:100%;

padding:15px;

margin:10px;

background:rgba(255,255,255,.08);

border:1px solid #FFD700;

border-radius:10px;

color:white;

}



.request-section textarea{

height:150px;

}




.prayer-wall{

padding:90px 0;

background:#081326;

text-align:center;

}



.wall-grid{

display:grid;

grid-template-columns:repeat(auto-fit,minmax(220px,1fr));

gap:25px;

margin-top:40px;

}



.wall-card,
.praise-card{

padding:30px;

background:rgba(255,255,255,.05);

border:1px solid #FFD700;

border-radius:20px;

}
/* ===============================
EXTRA PRAYER FEATURES
=============================== */


.prayer-categories,
.testimony-submit,
.praise-submit{

padding:90px 0;

text-align:center;

background:#081326;

}



.category-grid{

display:grid;

grid-template-columns:repeat(auto-fit,minmax(220px,1fr));

gap:25px;

margin-top:40px;

}



.category-card{

padding:30px;

background:rgba(255,255,255,.05);

border:1px solid rgba(255,215,0,.5);

border-radius:20px;

transition:.4s;

}



.category-card:hover{

transform:translateY(-8px);

box-shadow:0 0 25px #FFD700;

}



.testimony-submit form{

max-width:600px;

margin:auto;

}



.testimony-submit input,
.testimony-submit textarea,
.praise-submit textarea{

width:100%;

padding:15px;

margin:10px 0;

background:rgba(255,255,255,.08);

border:1px solid #FFD700;

border-radius:10px;

color:white;

}



.testimony-submit textarea{

height:150px;

}



.praise-submit textarea{

max-width:600px;

height:150px;

}